## org.apache.mahout.cf.taste.impl.eval
Class IRStatisticsImpl

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.IRStatisticsImpl

All Implemented Interfaces:
  java.io.Serializable, IRStatistics

    public final class IRStatisticsImpl

extends java.lang.Object
implements IRStatistics, java.io.Serializable

See Also:
  Serialized Form

Method Summary
`double` `getF1Measure()` See F-measure.
`double` `getFallOut()` See Fall-Out.
`double` `getFNMeasure(double n)` See F-measure.
`double` `getPrecision()` See Precision.
`double` `getRecall()` See Recall.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPrecision

    public double getPrecision()

  Description copied from interface: `IRStatistics`

  See Precision.

  Specified by:
    `getPrecision` in interface `IRStatistics`

### getRecall

    public double getRecall()

  Description copied from interface: `IRStatistics`

  See Recall.

  Specified by:
    `getRecall` in interface `IRStatistics`

### getFallOut

    public double getFallOut()

  Description copied from interface: `IRStatistics`

  See Fall-Out.

  Specified by:
    `getFallOut` in interface `IRStatistics`

### getF1Measure

    public double getF1Measure()

  Description copied from interface: `IRStatistics`

  See F-measure.

  Specified by:
    `getF1Measure` in interface `IRStatistics`

### getFNMeasure

    public double getFNMeasure(double n)

  Description copied from interface: `IRStatistics`

  See F-measure.

  Specified by:
    `getFNMeasure` in interface `IRStatistics`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.